
Infrastructure - Task #1452

Story # 1378 (Closed): Adding new object formats shouldn't require buildout 

Replace ObjectFormat calls with ObjectFormatService calls in Metacat

2011-03-29 14:06 - Chris Jones

Status: Closed Start date: 2011-03-29

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: 2011-Block-2 Story Points:  

Product Version: *   

Description

Code throughout Metacat uses the D1 ObjectFormat data type, and needs to migrate to using the new ObjectFormatService to get

format information.  Classes include:

CrudService

HealthService

MetadataTypeRegister

IdentifierManager

MetacatHandler

ResourceHandler

MetacatPopulator

History

#1 - 2011-03-29 14:07 - Chris Jones

- Target version set to Sprint-2011.13-Block.2

- Parent task set to #1378

#2 - 2011-05-27 15:48 - Chris Jones

- Status changed from New to Closed

In Metacat D1_0_6_2_BRANCH, all of the calls to ObjectFormat.convert() or ObjectFormat.[ENUM_MEMBER] have been replaced with

ObjectFormatCache.getFormat(fmtidStr).
